Cyberduck Mountain Duck CLI

#285 assigned enhancement

Folders for bookmarks

Reported by: anonymous Owned by: dkocher
Priority: high Milestone: 8.0
Component: interface Version: 2.8.3
Severity: normal Keywords: bookmarks folder organize
Cc: jph@… Architecture:
Platform: Mac OS X 10.6

Description (last modified by MacMedix)

Bookmark folders are very useful to group bookmarks together by project, or by function (all backups, all Company X, all wordpress sites, sites to check weekly, S3, SFTP, etc).

Great little program and easy to use. I really like it. I know I can rearrange bookmarks in any order I like, but it would also be nice if I could group my bookmarks into hierarchical categories -- similar to the way iCal lets you create calendar groups. This way I can set up bookmarks for specific directories on a site and name the group for that site and then use shorter names for the bookmarks themselves.

Hope to see something like this soon!

Change History (64)

comment:1 Changed on Mar 20, 2006 at 10:14:24 AM by dkocher

  • Milestone set to 2.7
  • Status changed from new to assigned

comment:2 Changed on May 27, 2006 at 1:37:46 AM by dkocher

  • Milestone 2.7 deleted

Milestone 2.7 deleted

comment:3 Changed on Mar 29, 2007 at 8:04:52 PM by sylvank

  • Version changed from 2.5.5 to 2.7.3

I would like to support this request, and the suggestions in #1071.

  • Folders & subfolders
  • Dividers
  • Compact display

Possibly add an independent bookmarks editing/organizing window.

Thanks!

comment:4 Changed on Apr 22, 2007 at 12:48:17 PM by dkocher

  • Milestone set to 2.9

comment:5 Changed on May 8, 2007 at 7:37:35 AM by bdagnelie

I would also like to support this feature request. Even a 'basic' grouping version would be great. Thanks a lot for your work.

comment:6 Changed on Dec 20, 2007 at 10:11:17 AM by vwieban

Just an interface suggestion: grouped bookmarks should look like the new sidebar in Leopard's Finder, that'd provide a very sleek and clean overview imho and would fit better into the overall look of the OS.

comment:7 Changed on Jan 17, 2008 at 8:40:01 PM by camaas

  • Version changed from 2.7.3 to 2.8.3

I would also support this feature request

comment:8 Changed on Feb 1, 2008 at 4:21:22 PM by Marcel

I also would appreciate this feature! My preferred solution would be a separated bookmark window instead of the drawer. I do not like drawers at all. Like it is now you can get confused when having an open connection but a different bookmark selected. One window, one connection. No connection gets closed when doubleclicking a bookmark.

comment:10 follow-up: Changed on Mar 17, 2008 at 7:19:39 PM by dkocher

  • Milestone 3.0 deleted

comment:11 in reply to: ↑ 10 Changed on Apr 17, 2008 at 7:17:39 PM by eric@…

Replying to dkocher:

I'd also like to request this. Is this something that won't be done anymore, or is it still something you do plan to implement?

comment:12 Changed on Apr 17, 2008 at 7:27:11 PM by dkocher

It is still planned for a future release although currently not scheduled for any milestone.

comment:13 Changed on Nov 3, 2008 at 7:32:12 PM by dkocher

  • Summary changed from Groupings for bookmarks drawer to Outline view for bookmarks

comment:14 Changed on Mar 1, 2009 at 6:59:29 AM by Gerk

I'll add a vote for getting this feature in sooner than later, with a lot of bookmarks it's difficult to handle them all nicely

comment:15 Changed on Apr 6, 2009 at 6:57:41 PM by dkocher

  • Milestone set to 3.2

#3101 closed as duplicate.

comment:16 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:17 Changed on Apr 17, 2009 at 12:17:02 PM by dkocher

#3094 closed as duplicate.

comment:18 Changed on Apr 21, 2009 at 8:12:34 AM by dkocher

  • Summary changed from Outline view for bookmarks to Folders for bookmarks

comment:19 Changed on May 17, 2009 at 10:15:21 PM by xurizaemon@…

Really looking forward to seeing this supported - the length of the bookmark list for me is such that it's usually quicker to remember the FTP login details and type them into the Open dialog than to find the correct bookmark. Which is not really how bookmarks are supposed to work ;)

Thanks again dkocher!

comment:20 Changed on Nov 13, 2009 at 10:36:31 PM by dkocher

#3733 closed as duplicate.

comment:21 Changed on Jan 16, 2010 at 7:32:22 PM by dkocher

#3979 closed as duplicate.

comment:22 Changed on Jan 17, 2010 at 1:43:00 AM by dkocher

  • Milestone changed from 3.4.1 to 3.5

comment:23 Changed on Mar 3, 2010 at 12:51:46 PM by joochen@…

I really like cyberduck and also donated some bucks, but what I really need, is a kind of sorting the bookmarks. When you have a lot in the list (30-40), it is really annoying to search them each time. Mostly I use the history, but that's not a solution. Please, big D. - mark this for the next milestone! Thanks ;-)

comment:24 Changed on Mar 4, 2010 at 11:45:54 AM by Skoua

Same here, this is for me the most ennoying thing about Cyberduck, I have about 200 bookmarks and it's getting quite confusing to find what I want.

The ability to classify stuffs with folders would be really great.

comment:25 Changed on May 17, 2010 at 8:14:36 AM by dkocher

  • Platform set to Mac OS X 10.6

#4463 closed as duplicate.

comment:26 Changed on May 18, 2010 at 9:54:46 AM by dkocher

  • Milestone changed from 3.5 to 3.6

comment:27 Changed on Jun 8, 2010 at 11:26:11 AM by dkocher

  • Milestone changed from 3.6 to 3.7

comment:28 Changed on Sep 7, 2010 at 10:06:16 AM by https://www.google.com/accounts/o8/id?id=aitoawnjbgashepx3ocimskcibo49gfn-7z7fno

I and a lot of other users would be really happy if it did make it into V4. The ticket is 4 Years old. 4Y and V4 = Bookmarks :D

Please don't postpone this untill a 4.x release. I think this is a really handy feature that would make me use Cyberduck dailly and donate. I think others will follow my example.

comment:29 Changed on Sep 10, 2010 at 8:34:07 PM by dkocher

  • Milestone changed from 4.0 to 4.1

Postponed after Windows launch.

comment:30 follow-up: Changed on Oct 27, 2010 at 4:38:23 PM by dkocher

Groundwork in r7418. Saving all bookmarks as indivdual files. Also allows Spotlight indexing to work.

comment:31 Changed on Apr 3, 2011 at 9:51:24 AM by dkocher

  • Milestone changed from 4.1 to 4.2

comment:32 Changed on Apr 26, 2011 at 8:41:48 PM by bolinger

Geez 5 years ago. Milestone set to 2.7 hmm. I would greatly enjoy this feature.

comment:33 in reply to: ↑ 30 Changed on Sep 28, 2011 at 9:05:36 PM by edmechem

Replying to dkocher:

Foundation in r7418. Saving all bookmarks as indivdual files. Also allows Spotlight indexing to work.

Awesome!! Good to know you're putting the foundation in place for this :) Keep up the good work.

Last edited on Apr 26, 2017 at 8:54:18 AM by dkocher (previous) (diff)

comment:34 Changed on Oct 31, 2011 at 12:34:11 PM by maksimovic

6 years old ticket, and counting :)

+1 for any sort of bookmark groups

comment:35 Changed on Nov 18, 2011 at 9:58:23 AM by dkocher

  • Milestone changed from 4.2 to 4.3

Milestone 4.2 deleted

comment:37 Changed on Jan 15, 2012 at 10:31:42 PM by cyperpopyber

+1 please not another 6 years ;-)

comment:38 Changed on Mar 21, 2012 at 7:45:16 PM by Paul Willis

+1

My bookmark list is growing really long and while I can type some server details to jump to a bookmark I would much prefer to group them by client or project etc.

comment:39 Changed on Jun 26, 2013 at 1:56:56 PM by dkocher

Related to ticket #6964.

comment:40 Changed on Sep 20, 2013 at 11:51:59 AM by jose antonio lopez

This is one of the greatest features I am waiting for the last years ;) . I have more than 30 connections on my CyberDuck and It is very hard to access them in quickly.... I am a Software Engineer Developer, how I can help you team make this program better and in this case, solve this ticket?

Last edited on Sep 20, 2013 at 11:53:33 AM by jose antonio lopez (previous) (diff)

comment:41 Changed on Jun 2, 2014 at 3:26:14 PM by dkocher

  • Milestone changed from 4.5 to 5.0

comment:42 Changed on Jun 4, 2014 at 1:41:45 PM by dkocher

#4 closed as duplicate.

comment:43 Changed on Jun 18, 2014 at 10:11:41 AM by dkocher

#8037 closed as duplicate.

comment:44 Changed on Nov 12, 2014 at 1:12:04 PM by dkocher

  • Milestone changed from 5.0 to 4.7

comment:45 Changed on Apr 9, 2015 at 2:23:47 PM by dkocher

  • Milestone changed from 4.7 to 4.8

comment:46 Changed on Jan 18, 2016 at 10:41:11 PM by dkocher

  • Owner changed from dkocher to yla
  • Status changed from assigned to new

comment:47 Changed on Jan 22, 2016 at 9:46:19 AM by yla

  • Milestone changed from 4.8 to 5.0

comment:49 Changed on May 18, 2016 at 3:26:59 PM by dkocher

  • Milestone changed from 5.0 to 5.1
  • Owner changed from yla to dkocher
  • Status changed from new to assigned

comment:50 Changed on Aug 24, 2016 at 8:42:43 AM by dkocher

  • Milestone changed from 5.1 to 5.2

comment:51 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.2 to 5.1.3

Milestone renamed

comment:52 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.1.3 to 6.0

Ticket retargeted after milestone closed

comment:53 Changed on Oct 19, 2016 at 2:17:19 PM by dkocher

  • Milestone changed from 6.0 to 5.2

Milestone renamed

comment:54 Changed on Oct 19, 2016 at 2:17:36 PM by dkocher

  • Milestone changed from 5.2 to 6.0

comment:55 Changed on Jan 11, 2017 at 8:33:37 AM by dkocher

  • Milestone changed from 6.0 to 5.3

Milestone renamed

comment:56 Changed on Jan 11, 2017 at 8:34:49 AM by dkocher

  • Milestone changed from 5.3 to 6.0

comment:57 Changed on Mar 29, 2017 at 8:16:54 PM by dkocher

#9893 closed as duplicate.

comment:58 Changed on Apr 5, 2017 at 3:13:28 PM by jph@…

  • Cc jph@… added

comment:59 Changed on Apr 11, 2017 at 5:14:58 PM by MacMedix

  • Description modified (diff)
  • Keywords bookmarks folder organize added

+1 for bookmark folders. This feature can't be so difficult or so low priority to justify 11 years of waiting. This usability feature is one of the last reasons I still use another SFTP & S3 app daily, but I use CyberDuck only occasionally. I have happily donated for CyberDuck. Because this one feature is missing, Transmit is much faster for me to quickly find a group of bookmarks and connect to them easily. PLEASE implement folders to organize bookmarks sooner rather than later.

comment:60 Changed on Apr 25, 2017 at 6:40:35 PM by thatslife4me

Hi! I'd like to chime in - What is the future of this feature? Will it be released with version 6.0 of CyberDuck? I have just looked at the nightly version and there was no trace of folders for bookmarks. Can you give us a timeline when we can expect folders? It is really a highly desirable and sorely missed functionality. Thanks!

Last edited on Apr 25, 2017 at 6:40:59 PM by thatslife4me (previous) (diff)

comment:61 Changed on Apr 25, 2017 at 7:39:27 PM by maksimovic

11+ years and counting, still no way to group bookmarks.

Watching this ticket since 2007, it's always good to see an old friend doing well.

comment:62 Changed on Apr 26, 2017 at 8:55:05 AM by dkocher

  • Milestone changed from 6.0 to 7.0
  • Priority changed from normal to high

We will tackle this after we have our Cryptomator support out.

comment:63 Changed on Apr 27, 2017 at 7:14:51 PM by edmechem

Just to be completely clear - support for folders means support for *hierarchically nested* folders, right? Not much use allowing a folder hierarchy but only letting it go one level deep... (this is an unfortunate 'trend' some apps have shown of late).

comment:64 Changed on May 31, 2019 at 1:32:31 PM by dkocher

  • Milestone changed from 7.0 to 8.0

comment:65 Changed on May 31, 2019 at 2:05:44 PM by maksimovic

13 years! 🎉

How far this one will go? 🤔

Note: See TracTickets for help on using tickets.
swiss made software